Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en productos de Schneider Electric

Múltiples vulnerabilidades en productos de Schneider Electric

Fecha de publicación: 
13/11/2019
Importancia: 
4 - Alta
Recursos afectados: 
  • Andover Continuum modelos 9680, 5740 y 5720, bCX4040, bCX9640, 9900, 9940, 9924 y 9702.

Todas las versiones de los siguientes productos:

  • M340 CPUs:
    • BMX P34x
  • M340 communication modules:
    • BMX NOE 0100,
    • BMX NOE 0110,
    • BMX NOC 0401.
  • Premium CPUs:
    • TSX P57x.
  • Premium communication modules:
    • TSX ETY x103.
  • Quantum CPUs:
    • 140 CPU6x.
  • Quantum communication modules:
    • 140 NOE 771x1,
    • 140 NOC 78x00,
    • 140 NOC 77101.
Descripción: 

Se han publicado múltiples vulnerabilidades de tipo exposición de información sensible y “Cross-site Scripting” (XSS) que podrían permitir a un atacante obtener credenciales FTP embebidas y manipular las comunicaciones web de sus víctimas.

Solución: 
  • Andover Continuum
    • Modelos 9680, 5740 y 5720, bCX4040 y 9702: se debería deshabilitar el servidor web configurando el valor de la variable relacionada con dicho servidor a cero a través del controlador de la página web.
    • Modelos de controladores de red 9900, 9940 y 9924 deberían contactar con el soporte del fabricante.
    • En el caso de modelos afectados que no puedan deshabilitar el servidor web, se recomienda aplicar medidas de mitigación, como aislar las comunicaciones web o filtrar las mismas a través de cortafuegos.
  • Modicon M340 y Modicon Premium and Quantum:
    • Aplicar segmentación de red e implementar un cortafuegos que bloquee el acceso no autorizado a los puertos 80/HTTP y 21/FTP del controlador.
    • Desactivar los puertos 80/HTTP y 21/FTP cuando no se usen siguiendo las recomendaciones del manual.
Detalle: 
  • Una vulnerabilidad en la conservación de la estructura que posee la página web, en el momento de su creación, podría permitir a un atacante llevar a cabo ataques cross-site scripting (XSS). Se ha reservado el identificador CVE-2019-6853 para esta vulnerabilidad.
  • Una vulnerabilidad relacionada con la exposición de información sensible podría permitir a un atacante obtener credenciales FTP embebidas cuando el servidor web se encuentre habilitado en el controlador y el intercambio de información se realice en una red insegura. Se ha reservado el identificador CVE-2019-6852 para esta vulnerabilidad.

Encuesta valoración